Fetch a list of the vehicle's driving periods

Purpose: Use this API to fetch a list of the all the driving periods of the company's vehicles. This report includes information on driving hours, start and stop times, rest periods, distances traveled, and compliance with regulations like HOS (Hours of Service). It's often used by fleet managers to monitor driver behaviour, ensure compliance, and optimise fleet operations.

📘

NOTE

Source of a driving period: The API response contains a key called "Source", which is an attribute that allows you to determine the source which derived or recorded the driving period. The possible values for this key are as follows:

  • 1: Driving period recorded by the Vehicle Gateway.
  • 2: An edit performed by an authenticated user other than the driver.
  • 3: Driving period assumed from the unidentified driver profile.

Response Parameters

driving_periods

  • Type: Array of Objects
  • Description: A list of driving periods for a specific driver and vehicle.

driving_period

  • Type: Object
  • Description: Details of a single driving period.

id

  • Type: Integer
  • Description: The unique identifier for the driving period.

start_time

  • Type: String
  • Description: The start time of the driving period.

end_time

  • Type: String
  • Description: The end time of the driving period.

status

  • Type: String
  • Description: The status of the driving period (if available).

type

  • Type: String
  • Description: The type of the driving period (e.g., "driving").

annotation_status

  • Type: String
  • Description: The annotation status of the driving period (if available).

notes

  • Type: String
  • Description: Any notes associated with the driving period.

duration

  • Type: Integer
  • Description: The duration of the driving period in seconds.

start_kilometers

  • Type: Integer
  • Description: The odometer reading at the start of the driving period in kilometers.

end_kilometers

  • Type: Integer
  • Description: The odometer reading at the end of the driving period in kilometers.

start_hvb_state_of_charge

  • Type: String
  • Description: The state of charge of the high-voltage battery at the start of the driving period.

end_hvb_state_of_charge

  • Type: String
  • Description: The state of charge of the high-voltage battery at the end of the driving period.

start_hvb_lifetime_energy_output

  • Type: String
  • Description: The lifetime energy output of the high-voltage battery at the start of the driving period.

end_hvb_lifetime_energy_output

  • Type: String
  • Description: The lifetime energy output of the high-voltage battery at the end of the driving period.

driver

  • Type: Object
  • Description: The driver associated with the driving period.

id

  • Type: Integer
  • Description: The unique identifier for the driver.

first_name

  • Type: String
  • Description: The first name of the driver.

last_name

  • Type: String
  • Description: The last name of the driver.

username

  • Type: String
  • Description: The username of the driver (if available).

email

  • Type: String
  • Description: The email address of the driver.

driver_company_id

  • Type: String
  • Description: The company ID associated with the driver (if available).

status

  • Type: String
  • Description: The status of the driver (e.g., "active").

role

  • Type: String
  • Description: The role of the driver (e.g., "driver").

vehicle

  • Type: Object
  • Description: The vehicle associated with the driving period.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle.

number

  • Type: String
  • Description: The vehicle number.

year

  • Type: String
  • Description: The year of manufacture of the vehicle.

make

  • Type: String
  • Description: The make of the vehicle.

model

  • Type: String
  • Description: The model of the vehicle.

vin

  • Type: String
  • Description: The Vehicle Identification Number (VIN) of the vehicle.

metric_units

  • Type: Boolean
  • Description: Indicates whether metric units are used for this vehicle.

origin

  • Type: String
  • Description: The starting location of the driving period.

origin_lat

  • Type: Float
  • Description: The latitude of the origin location.

origin_lon

  • Type: Float
  • Description: The longitude of the origin location.

destination_lat

  • Type: Float
  • Description: The latitude of the destination location.

destination_lon

  • Type: Float
  • Description: The longitude of the destination location.

destination

  • Type: String
  • Description: The destination location of the driving period.

distance

  • Type: String
  • Description: The distance covered during the driving period.

source

  • Type: Integer
  • Description: The source of the driving period data.

Query Params
driver_ids[]
array of int32s

Specify a list of driver IDs to filter the vehicle's driving periods.

driver_ids[]
vehicle_ids[]
array of int32s

Specify a list of the vehicle IDs.

vehicle_ids[]
string

Mention the type of the driving period. Possible values are PC = Personal Conveyance, YM = Yard Move, driving - Driving.

string

Specify the status of the Driving Period. Possible values: in_progress, complete, interrupted.

string

Specify the annotation status. Possible values are 0 = Not annotated, 1 = Annotated, 2 = Pending annotation.

boolean

This parameter allows you to filter the search results based on the available driver's information. Allowed values are

  • True: View only those driving periods that have the driver's information.
  • False: View the driving periods that do not have any driver's information.

date

Specify the start date from when you want to view the driving periods. Default: TODAY - 7 DAYS AGO

date

Specify the end date till when you want to view the driving periods. Default: TODAY

date

Return all driving periods updated after given time.

int32
Defaults to 25

Number of records to return per page.

int32
Defaults to 1

Denotes the current page number.

Headers
string

Specify the timezone for formatting the timestamps.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json